> For the complete documentation index, see [llms.txt](https://docs.brewfather.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.brewfather.app/br/integrations/custom-stream.md).

# Custom Stream

Integrate your own logging device with a custom **HTTP POST** to the **URL** you are given in the settings.

![Enable custom stream in the settings page](https://559214094-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LEzhWP2LGeXaKgS2qr4%2F-LVoJmWUAgCP9xw8EZDV%2F-LVoJnF0ydPfaP8sxA6P%2Fimage.png?alt=media\&token=378ee1ad-6bf8-4344-9717-a3b53a660b5e)

Use the following **JSON** format in the body of the **POST:**

```
{
  "name": "YourDeviceName", // Required field, this will be the ID in Brewfather
  "temp": 20.32,
  "aux_temp": 15.61, // Fridge Temp
  "ext_temp": 6.51, // Room Temp
  "temp_unit": "C", // C, F, K
  "gravity": 1.042,
  "gravity_unit": "G", // G, P
  "pressure": 10,
  "pressure_unit": "PSI", // PSI, BAR, KPA
  "ph": 4.12,
  "bpm": 123, // Bubbles Per Minute
  "comment": "Hello World",
  "beer": "Pale Ale"
}
```

Temperature units "**C**" for celcius, "**F**" for fahrenheit, "**K**" for kelvin.\
Gravity units "**G**" for SG and "**P**" for Plato.\
Pressure units "**PSI**", "**BAR**", "**KPA**".

**Never log more than once every 15 minutes per device name**, request logged more often than that will be ignored. If you are logging more than one device give them each a unique name, maximum rate: one POST per device per 15 minutes.

Field "name" is required. Other fields are optional.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.brewfather.app/br/integrations/custom-stream.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
